Skip to content

Scheduling Messages

Messages in Messaging Plus can be scheduled to send at a point in the future, by specifying a timestamp in your request.

If you're utilizing the account credit system, scheduled messages will reserve credits while they're pending. Cancelling the pending message will free the held credits.

Schedule a Message

To schedule a message, specify the send_at parameter in your add-message request. We expect a datetime string in ISO 8601 format.


POST https://api.mplus.cymba.co.uk/message

request body

json
{
    "messages": [
        {
            "from": {
                "type": "custom",
                "value": "mplus-test"
            },
            "to": "441111111111",
            "body": "This is a test message!",
            "send_at": "2026-01-01T09:00Z"
        }
    ]
}
  • If a date is specified for less than 5 minutes in the future from the time of processing, or in the past, will be sent immediately
  • Dates are processed against the GMT timezone

response body

json
{
    "messages": [
        {
            "to": "441111111111",
            "body": "This is a test message!",
            "from": {
                "type": "custom",
                "value": "mplus-test"
            },
            "send_at": "2026-01-01T09:00Z",
            "batchUuid": "28c9b9dd-3963-497f-a33b-33ab6675fe44",
            "messageUuid": "a2b11a1f-ff1f-4407-b6ee-81a8e7b9af66",
            "scheduled": true
        }
    ]
}

List Scheduled Messages

To check your list of pending message batches, make a request to the get-pending-batches endpoint.


GET https://api.mplus.cymba.co.uk/batch

response body

json
{
    "batches": [
        {
            "identifier": "28c9b9dd-3963-497f-a33b-33ab6675fe44",
            "at": "2026-01-01T09:00:00+00:00",
            "from": "mplus-test",
            "messagecount": 1
        }
    ]
}

The identifier key returned in the body is the batch-uuid

Cancel Scheduled Messages

To cancel a pending Scheduled message batch, you can make a request to the cancel-pending-batch endpoint.


DELETE https://api.mplus.cymba.co.uk/batch/{batch-uuid}

response status 200


Cancelling a pending batch will free any reserved credits

Messaging Plus is a Cymba API